Liblinphone: linphone::CallListener Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::CallListener Class Reference

That class holds all the callbacks which are called by Call objects. More...

`#include <call_listener.hh>`

Inheritance diagram for linphone::CallListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onDtmfReceived (const std::shared_ptr< linphone::Call > &call, int dtmf)
| Callback for being notified of received DTMFs.
virtual LINPHONECXX_PUBLIC void | onGoclearAckSent (const std::shared_ptr< linphone::Call > &call)
| GoClear ACK sent callback.
virtual LINPHONECXX_PUBLIC void | onEncryptionChanged (const std::shared_ptr< linphone::Call > &call, bool on, const std::string &authenticationToken)
| Call encryption changed callback.
virtual LINPHONECXX_PUBLIC void | onSendMasterKeyChanged (const std::shared_ptr< linphone::Call > &call, const std::string &sendMasterKey)
| Call send master key changed callback.
virtual LINPHONECXX_PUBLIC void | onReceiveMasterKeyChanged (const std::shared_ptr< linphone::Call > &call, const std::string &receiveMasterKey)
| Call receive master key changed callback.
virtual LINPHONECXX_PUBLIC void | onInfoMessageReceived (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< const linphone::InfoMessage > &message)
| Callback for receiving info messages.
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::Call > &call, linphone::Call::State state, const std::string &message)
| Call state notification callback.
virtual LINPHONECXX_PUBLIC void | onStatsUpdated (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< const linphone::CallStats > &stats)
| Callback for receiving quality statistics for calls.
virtual LINPHONECXX_PUBLIC void | onTransferStateChanged (const std::shared_ptr< linphone::Call > &call, linphone::Call::State state)
| Callback for notifying progresses of transfers.
virtual LINPHONECXX_PUBLIC void | onAckProcessing (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< linphone::Headers > &ack, bool isReceived)
| Callback for notifying the processing SIP ACK messages.
virtual LINPHONECXX_PUBLIC void | onTmmbrReceived (const std::shared_ptr< linphone::Call > &call, int streamIndex, int tmmbr)
| Callback for notifying a received TMMBR.
virtual LINPHONECXX_PUBLIC void | onSnapshotTaken (const std::shared_ptr< linphone::Call > &call, const std::string &filePath)
| Callback for notifying a snapshot taken.
virtual LINPHONECXX_PUBLIC void | onNextVideoFrameDecoded (const std::shared_ptr< linphone::Call > &call)
| Callback to notify a next video frame has been decoded.
virtual LINPHONECXX_PUBLIC void | onCameraNotWorking (const std::shared_ptr< linphone::Call > &call, const std::string &cameraName)
| Callback to notify that the camera is not working and has been changed to "No Webcam".
virtual LINPHONECXX_PUBLIC void | onVideoDisplayErrorOccurred (const std::shared_ptr< linphone::Call > &call, int errorCode)
| Callback to notify that there are errors from the video rendering.
virtual LINPHONECXX_PUBLIC void | onAudioDeviceChanged (const std::shared_ptr< linphone::Call > &call, const std::shared_ptr< linphone::AudioDevice > &audioDevice)
| Callback to notify that the audio device has been changed.
virtual LINPHONECXX_PUBLIC void | onRemoteRecording (const std::shared_ptr< linphone::Call > &call, bool recording)
| Callback to notify that the call is being recorded by the remote.

## Detailed Description

That class holds all the callbacks which are called by Call objects.

Use Factory::createCallCbs() to create an instance. Then, call the callback setters on the events you need to monitor and pass the object to a Call instance through Call::addListener().

## Member Function Documentation

## ◆ onAckProcessing()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onAckProcessing | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< linphone::Headers > & | ack,
|  | bool | isReceived )
| inlinevirtual

Callback for notifying the processing SIP ACK messages.

Parameters

  call | Call for which an ACK is being received or sent
  ack | the ACK Headers
  isReceived | if true this ACK is an incoming one, otherwise it is an ACK about to be sent.

## ◆ onAudioDeviceChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onAudioDeviceChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< linphone::AudioDevice > & | audioDevice )
| inlinevirtual

Callback to notify that the audio device has been changed.

Parameters

  call | Call for which the audio device has changed
  audioDevice | the new audio device used for this call

## ◆ onCameraNotWorking()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onCameraNotWorking | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | cameraName )
| inlinevirtual

Callback to notify that the camera is not working and has been changed to "No Webcam".

A camera is detected as mis-functionning as soon as it outputs no frames at all during a period of 5 seconds. This check is only performed on desktop platforms, in the purpose of notifying camera failures, for example if when a usb cable gets disconnected.

Parameters

  call | Call for which the next video frame has been decoded
  cameraName | the name of the non-working camera

## ◆ onDtmfReceived()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onDtmfReceived | ( | const std::shared_ptr< linphone::Call > & | call,
|  | int | dtmf )
| inlinevirtual

Callback for being notified of received DTMFs.

Parameters

  call | Call object that received the dtmf
  dtmf | The ascii code of the dtmf

## ◆ onEncryptionChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onEncryptionChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | bool | on,
|  | const std::string & | authenticationToken )
| inlinevirtual

Call encryption changed callback.

Parameters

  call | Call object whose encryption is changed.
  on | Whether encryption is activated.
  authenticationToken | An authentication_token, currently set for ZRTP kind of encryption only.

## ◆ onGoclearAckSent()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onGoclearAckSent | ( | const std::shared_ptr< linphone::Call > & | call | ) |
| inlinevirtual

GoClear ACK sent callback.

Parameters

  call | the Call on which the GoClear ACK was sent.

## ◆ onInfoMessageReceived()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onInfoMessageReceived | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< const linphone::InfoMessage > & | message )
| inlinevirtual

Callback for receiving info messages.

Parameters

  call | Call whose info message belongs to.
  message | InfoMessage object.

## ◆ onNextVideoFrameDecoded()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onNextVideoFrameDecoded | ( | const std::shared_ptr< linphone::Call > & | call | ) |
| inlinevirtual

Callback to notify a next video frame has been decoded.

Parameters

  call | Call for which the next video frame has been decoded

## ◆ onReceiveMasterKeyChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onReceiveMasterKeyChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | receiveMasterKey )
| inlinevirtual

Call receive master key changed callback.

Parameters

  call | Call object whose encryption is changed.
  receiveMasterKey | The receive master key of the SRTP session.

## ◆ onRemoteRecording()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onRemoteRecording | ( | const std::shared_ptr< linphone::Call > & | call,
|  | bool | recording )
| inlinevirtual

Callback to notify that the call is being recorded by the remote.

Parameters

  call | Call for which the audio is recorded
  recording | true if the call is being recorded by the remote, false otherwise

## ◆ onSendMasterKeyChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onSendMasterKeyChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | sendMasterKey )
| inlinevirtual

Call send master key changed callback.

Parameters

  call | Call object whose encryption is changed.
  sendMasterKey | The send master key of the SRTP session.

## ◆ onSnapshotTaken()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onSnapshotTaken | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::string & | filePath )
| inlinevirtual

Callback for notifying a snapshot taken.

Parameters

  call | Call for which the snapshot was taken
  filePath | the name of the saved file

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onStateChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | linphone::Call::State | state,
|  | const std::string & | message )
| inlinevirtual

Call state notification callback.

Parameters

  call | Call whose state is changed.
  state | The new Call::State of the call
  message | An informational message about the state.

## ◆ onStatsUpdated()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onStatsUpdated | ( | const std::shared_ptr< linphone::Call > & | call,
|  | const std::shared_ptr< const linphone::CallStats > & | stats )
| inlinevirtual

Callback for receiving quality statistics for calls.

Parameters

  call | Call object whose statistics are notified
  stats | CallStats object

## ◆ onTmmbrReceived()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onTmmbrReceived | ( | const std::shared_ptr< linphone::Call > & | call,
|  | int | streamIndex,
|  | int | tmmbr )
| inlinevirtual

Callback for notifying a received TMMBR.

Parameters

  call | Call for which the TMMBR has changed
  streamIndex | the index of the current stream
  tmmbr | the value of the received TMMBR

## ◆ onTransferStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onTransferStateChanged | ( | const std::shared_ptr< linphone::Call > & | call,
|  | linphone::Call::State | state )
| inlinevirtual

Callback for notifying progresses of transfers.

Parameters

  call | Call that was transfered
  state | The Call::State of the call to transfer target at the far end.

## ◆ onVideoDisplayErrorOccurred()

virtual LINPHONECXX_PUBLIC void linphone::CallListener::onVideoDisplayErrorOccurred | ( | const std::shared_ptr< linphone::Call > & | call,
|  | int | errorCode )
| inlinevirtual

Callback to notify that there are errors from the video rendering.

The error code depends of the implementation.

Parameters

  call | Call
  errorCode | error code from render. It depends of the renderer.

The documentation for this class was generated from the following file:

- call_listener.hh